# GET /reports/billing/agents
URL: https://www.warpbuild.com/docs/api/reports/GetAgentBilling
Description: Returns billing data for Claude managed-agent agent VMs: a daily cost chart, summary totals, a paginated per-instance entry list, and available filters (labels, environments).

---
title: "GET /reports/billing/agents"
description: 'Returns billing data for Claude managed-agent agent VMs: a daily
  cost chart, summary totals, a paginated per-instance entry list, and available
  filters (labels, environments).'
full: true
_openapi:
  preload:
    - ../../packages/api/core/openapi.json
  method: GET
  webhook: false
  toc: []
  structuredData:
    headings: []
    contents:
      - content: 'Returns billing data for Claude managed-agent agent VMs: a daily cost
          chart, summary totals, a paginated per-instance entry list, and
          available filters (labels, environments).'
---

{/* This file was generated by Fumadocs. Do not edit this file directly. Any changes should be made by running the generation command again. */}

export default function Layout(props) {
  const { APIPage, OpenAPIPage } = props.components ?? {};
  // "APIPage" is the old name from v10, this allows both for backward compatibility
  const Comp = OpenAPIPage ?? APIPage;
  return (
    <>
      {props.children}
      <Comp document="../../packages/api/core/openapi.json" operations={[{"path":"/reports/billing/agents","method":"get"}]} />
    </>
  );
}